# Generated from modular_inverse-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name modular_inverse

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: This gem is used to calculate Modular multiplicative inverse for given two numbers\ a, m, find x such that a * x modulo 1 (mod m)
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Given two integers ‘a’ and ‘m’, find modular multiplicative inverse of ‘a’
under modulo ‘m’.
The modular multiplicative inverse is an integer ‘x’ such that.
a x ≡ 1 (mod m)  and x belongs to [0,1,2, .. m-1] .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/modular_inverse.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 1.0.0-1
- Initial package
